org.apache.ignite.internal.visor.node

## Class VisorIgfsConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorIgfsConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorIgfsConfiguration
    extends VisorDataTransferObject

Data transfer object for IGFS configuration properties.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsConfiguration()` Default constructor.
`VisorIgfsConfiguration(FileSystemConfiguration igfs)` Create data transfer object for IGFS configuration properties.

### Method Summary

Methods
`int` `getBlockSize()`
`String` `getDataCacheName()`
`IgfsMode` `getDefaultMode()`
`int` `getFragmentizerConcurrentFiles()`
`long` `getFragmentizerThrottlingBlockLength()`
`long` `getFragmentizerThrottlingDelay()`
`String` `getIpcEndpointConfiguration()`
`int` `getManagementPort()`
`long` `getMaxTaskRangeLength()`
`String` `getMetaCacheName()`
`String` `getName()`
`Map<String,IgfsMode>` `getPathModes()`
`int` `getPerNodeBatchSize()`
`int` `getPerNodeParallelBatchCount()`
`int` `getPrefetchBlocks()`
`int` `getSequenceReadsBeforePrefetch()`
`int` `getStreamBufferSize()`
`boolean` `isColocateMetadata()`
`boolean` `isFragmentizerEnabled()`
`boolean` `isIpcEndpointEnabled()`
`boolean` `isRelaxedConsistency()`
`boolean` `isUpdateFileLengthOnFlush()`
`static List<VisorIgfsConfiguration>` `list(FileSystemConfiguration[] igfss)` Construct data transfer object for igfs configurations properties.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIgfsConfiguration

    public VisorIgfsConfiguration()

Default constructor.

#### VisorIgfsConfiguration

    public VisorIgfsConfiguration(FileSystemConfiguration igfs)

Create data transfer object for IGFS configuration properties.

Parameters:
  `igfs` - IGFS configuration.

### Method Detail

#### list

    public static List<VisorIgfsConfiguration> list(FileSystemConfiguration[] igfss)

Construct data transfer object for igfs configurations properties.

Parameters:
  `igfss` - Igfs configurations.
Returns:
  igfs configurations properties.

#### getName

    @Nullable
    public String getName()

Returns:
  IGFS instance name.

#### getMetaCacheName

    @Nullable
    public String getMetaCacheName()

Returns:
  Cache name to store IGFS meta information.

#### getDataCacheName

    @Nullable
    public String getDataCacheName()

Returns:
  Cache name to store IGFS data.

#### getBlockSize

    public int getBlockSize()

Returns:
  File's data block size.

#### getPrefetchBlocks

    public int getPrefetchBlocks()

Returns:
  Number of pre-fetched blocks if specific file's chunk is requested.

#### getStreamBufferSize

    public int getStreamBufferSize()

Returns:
  Read/write buffer size for IGFS stream operations in bytes.

#### getPerNodeBatchSize

    public int getPerNodeBatchSize()

Returns:
  Number of file blocks buffered on local node before sending batch to remote node.

#### getPerNodeParallelBatchCount

    public int getPerNodeParallelBatchCount()

Returns:
  Number of batches that can be concurrently sent to remote node.

#### getDefaultMode

    public IgfsMode getDefaultMode()

Returns:
  IGFS instance mode.

#### getPathModes

    @Nullable
    public Map<String,IgfsMode> getPathModes()

Returns:
  Map of paths to IGFS modes.

#### getMaxTaskRangeLength

    public long getMaxTaskRangeLength()

Returns:
  Maximum range length.

#### getFragmentizerConcurrentFiles

    public int getFragmentizerConcurrentFiles()

Returns:
  Fragmentizer concurrent files.

#### isFragmentizerEnabled

    public boolean isFragmentizerEnabled()

Returns:
  Fragmentizer enabled flag.

#### getFragmentizerThrottlingBlockLength

    public long getFragmentizerThrottlingBlockLength()

Returns:
  Fragmentizer throttling block length.

#### getFragmentizerThrottlingDelay

    public long getFragmentizerThrottlingDelay()

Returns:
  Fragmentizer throttling delay.

#### getIpcEndpointConfiguration

    @Nullable
    public String getIpcEndpointConfiguration()

Returns:
  IPC endpoint config to publish IGFS over.

#### isIpcEndpointEnabled

    public boolean isIpcEndpointEnabled()

Returns:
  IPC endpoint enabled flag.

#### getManagementPort

    public int getManagementPort()

Returns:
  Management port.

#### getSequenceReadsBeforePrefetch

    public int getSequenceReadsBeforePrefetch()

Returns:
  Amount of sequential block reads before prefetch is triggered.

#### isColocateMetadata

    public boolean isColocateMetadata()

Returns:
  `True` if metadata co-location is enabled.

#### isRelaxedConsistency

    public boolean isRelaxedConsistency()

Returns:
  `True` if relaxed consistency is enabled.

#### isUpdateFileLengthOnFlush

    public boolean isUpdateFileLengthOnFlush()

Returns:
  Whether to update file length on flush.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017